Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.timers
Class SyncTimer

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.timers.SyncTimer

All Implemented Interfaces:
  Serializable, Cloneable, TestBean, TestElement, Timer

    public class SyncTimer

extends AbstractTestElement
implements Timer, Serializable, TestBean

The purpose of the SyncTimer is to block threads until X number of threads have been blocked, and then they are all released at once. A SyncTimer can thus create large instant loads at various points of the test plan.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`SyncTimer()`

Method Summary
`Object` | `clone()` We have to control the cloning process because we need some cross-thread communication if our synctimers are to be able to determine when to block and when to release.
`long` | `delay()` This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.
`int` | `getGroupSize()`
`void` | `setGroupSize(int numThreads)`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyncTimer

    public SyncTimer()

Method Detail

### getGroupSize

    public int getGroupSize()

  Returns:
    Returns the numThreads.

### setGroupSize

    public void setGroupSize(int numThreads)

  Parameters:
    `numThreads` - The numThreads to set.

### delay

    public long delay()

  This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.

  Specified by:
    `delay` in interface `Timer`
  Returns:
    the computed delay value.

### clone

    public Object clone()

  We have to control the cloning process because we need some cross-thread communication if our synctimers are to be able to determine when to block and when to release.

  Specified by:
    `clone` in interface `TestElement`
  Overrides:
    `clone` in class `AbstractTestElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.